const { checkLogin } = require('../../utils/logcheck');
import {url} from '../../request'
Page({

 
  data: {
    userAvatar:'https://tse2-mm.cn.bing.net/th/id/OIP-C.jHUH4s7TQ48X_B-1iozuJgHaHa?w=207&h=207&c=7&r=0&o=5&dpr=1.5&pid=1.7',
    nickName:'请登录'
  },

  myteam(){
    wx.navigateTo({
      url: '/pages/wodetuandui/wodetuandui',
    })
  },
  
  onLoad(options) {
    checkLogin();
  },
  onReady() {

  },
  tiaozhuan(){
    wx.navigateTo({
      url: '/pages/tuiguangma/tuiguangma',
    })
  },
  onShow() {
    console.log("页面展示 onShow");
    try {
      const userInfo = wx.getStorageSync('usermessage');
      console.log('用户信息:', userInfo);
      this.setData({
        nickName: userInfo.nickName || '请登录',
        phoneNumber: userInfo.phoneNumber || '',
        invitationCode: userInfo.invitationCode || '',
        userAvatar: userInfo.userAvatar || 'https://tse2-mm.cn.bing.net/th/id/OIP-C.jHUH4s7TQ48X_B-1iozuJgHaHa?w=207&h=207&c=7&r=0&o=5&dpr=1.5&pid=1.7'
      });
    } catch (e) {
      console.error('读取缓存失败:', e);
    }
  },
  wodejiedan(){
    wx.navigateTo({
      url: '/pages/wodejiedan/wodejiedan',
    })
  },
  out(){
    wx.showModal({
      title: '提示',
      content: '确定退出登录吗？',
      success: function (res) {
        if (res.confirm) {
          console.log('用户点击确定')
          wx.getStorage({
            key: "logmessage",
            success(res) {
              const userinfo =  res.data.Authorization
              wx.request({
                url: url + '/userInfo/mini/logout',
                method: 'GET',
                data: {
                  
                },
                header: {
                  'content-type': 'application/json',
                  'Authorization': userinfo
                },
                success(res) {
                  console.log('查询成功', res);
                  if(res.data.code==1){
                    wx.showToast({
                      title: "退出成功",
                      icon:'sucess',
                      duration:2000
                    })
                  }
                },
                fail(err) {
                  console.error('请求失败', err);
                }
              });
            }
          })
          try {
            wx.clearStorageSync();
            console.log("所有缓存清除成功");
          } catch (e) {
            console.error("清除缓存失败", e);
          }
        } else {
          console.log('用户点击取消')
        }
      }
    })
    
    
  },
  onHide() {

  },

  onUnload() {

  },

  onPullDownRefresh() {

  },

  onReachBottom() {

  },

  onShareAppMessage() {

  }
})